Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi.rawserialization
Interface RawMessage

All Superinterfaces:
  Message, java.io.Serializable

All Known Implementing Classes:
  AbstractSubscribeMessage, AnycastMessage, BroadcastLeafSet, BroadcastRouteRow, CacheMessage, ConsistentJoinMsg, ContinuationMessage, DatagramMessage, DropMessage, FetchHandleMessage, FetchMessage, GCCollectMessage, GCInsertMessage, GCLookupHandlesMessage, GCRefreshMessage, GlacierDataMessage, GlacierFetchMessage, GlacierMessage, GlacierNeighborRequestMessage, GlacierNeighborResponseMessage, GlacierQueryMessage, GlacierRangeForwardMessage, GlacierRangeQueryMessage, GlacierRangeResponseMessage, GlacierRefreshCompleteMessage, GlacierRefreshPatchMessage, GlacierRefreshProbeMessage, GlacierRefreshResponseMessage, GlacierResponseMessage, GlacierSyncMessage, GlacierTimeoutMessage, InsertMessage, IPAddressRequestMessage, IPAddressResponseMessage, JavaSerializedMessage, JoinRequest, LeafSetRequestMessage, LeafSetResponseMessage, LookupHandlesMessage, LookupMessage, MaintenanceMessage, MessageLostMessage, MyMsg, MyMsg, NodeIdRequestMessage, NodeIdResponseMessage, PastMessage, PastryEndpointMessage, PingMessage, PingResponseMessage, PJavaSerializedMessage, PRawMessage, PublishMessage, PublishRequestMessage, ReminderMessage, ReplicationMessage, RequestLeafSet, RequestMessage, RequestRouteRow, ResponseMessage, RouteMessage, RouteRowRequestMessage, RouteRowResponseMessage, RoutesRequestMessage, RoutesResponseMessage, ScribeMessage, SocketMessage, SourceRoute, SubscribeAckMessage, SubscribeFailedMessage, SubscribeLostMessage, SubscribeMessage, UnsubscribeMessage, WrongEpochMessage

    public interface RawMessage

extends Message

Field Summary

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Method Summary
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Method Detail

### getType

    short getType()

### serialize

    void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.